> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete items from specific cart

> Removes all items from specified cart



## OpenAPI

````yaml cart-service delete /v2/carts/{cartId}/items
openapi: 3.0.1
info:
  title: Cart API
  description: >-
    fabric's Cart APIs let you add, update, and remove items from your
    Storefront cart, either as a guest user or as a logged-in user. It also
    provides functionality to merge carts when you switch from guest user to
    logged-in user, to apply coupon codes and other attributes (for example,
    gift wrapping) to the cart items. Additionally, it supports more advanced
    use cases such as using multiple carts within a B2B organization and sharing
    of carts, as well as supporting a unified cart experience for multi-region
    and multi-brand businesses. <br /><br />These APIs provide high performance,
    scalability, multi-tenancy, and configurability to the end-to-end order
    processing actions that start from an item being added to the cart, through
    the pre-checkout stage that includes billing, shipping, and payment details,
    to the checkout stage where the order is processed and confirmed by the
    fabric Order Management System (OMS) or alternatively an Order Draft can be
    created. An order draft can be used to coordinate the creation of an order
    in any other downstream systems.
  contact:
    name: Cart Support
    email: support.cnc@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  version: 2.0.0
servers:
  - url: https://prod.cart.fabric.inc
security: []
tags:
  - name: Cart
    description: >-
      Cart endpoints let you do basic cart operations, such as create a cart,
      add item to the cart, update items, remove items, delete cart, update
      status of the cart, and more.
  - name: Attribute
    description: >-
      Attribute endpoints let you add, update, and remove different types of
      attributes to and from the cart, and items in the cart.
  - name: Shipping
    description: >-
      Shipping endpoints let you do shipping related activities, such as create
      or update shipping details ID, add shipping information to all items of
      the cart, add different shipping details for different items, and more.
  - name: Order Draft
    description: >-
      Order drafts are the final state of a cart, containing all the required
      information needed to create an order. All these information undergoes
      validations before being generated and stored as order drafts. Once an
      order draft is created, it cannot be changed.The following endpoints let
      you create and manage such order drafts.
  - name: Adjustments
    description: >-
      Using these endpoints, you can make adjustments to a cart or to the line
      items within a cart.
paths:
  /v2/carts/{cartId}/items:
    delete:
      tags:
        - Cart
      summary: Delete items from specific cart
      description: Removes all items from specified cart
      operationId: removeItems
      parameters:
        - $ref: '#/components/parameters/x-site-context'
        - name: cartId
          in: path
          description: ID of cart for which all the items need to be removed
          required: true
          schema:
            type: string
            example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
        - $ref: '#/components/parameters/x-api-key'
        - $ref: '#/components/parameters/authorization'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CartResponse'
        '400':
          description: Client error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
components:
  parameters:
    x-site-context:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
    x-api-key:
      name: x-api-key
      in: header
      description: API Key for Gateway
      required: false
      schema:
        type: string
        example: zaCELgL.0imfnc8mVLWwsAawjYr4Rx-Af50DDqtlx
    authorization:
      name: Authorization
      in: header
      description: Authorization token for the user
      required: true
      schema:
        type: string
        example: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...
  schemas:
    CartResponse:
      description: Cart details
      required:
        - allPromosApplied
        - currency
        - error
        - items
        - sharedUserIds
        - metadata
      type: object
      properties:
        cartId:
          description: Cart ID
          type: string
          nullable: true
          example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
        items:
          description: Items in cart
          type: array
          items:
            $ref: '#/components/schemas/CartItemResponse'
        createdAt:
          type: string
          description: Cart creation time
          nullable: true
          example: '2022-02-11T14:09:40.836703'
        updatedAt:
          type: string
          description: Last time cart was updated
          format: date-time
          nullable: true
          example: '2022-02-22T22:36:40.194293'
        totalItems:
          type: integer
          description: Number of items in the cart
          format: int32
          nullable: true
          example: 3
        totalUniqueItems:
          type: integer
          description: Number of unique items in the cart based on line item ID
          format: int32
          nullable: true
          example: 2
        cartState:
          description: Cart status
          allOf:
            - $ref: '#/components/schemas/CartState'
            - nullable: true
        tenantId:
          type: string
          description: Merchant ID
          nullable: true
          example: 5f689caa4216e7000750d1ef
        accountId:
          type: string
          description: Customer account ID
          nullable: true
          example: 5f689caa4216e7000750d1ef
        userId:
          type: string
          description: User ID
          nullable: true
          example: 61b8e921d0cf2e000882b09f
        configuration:
          type: object
          description: Cart configurations
          nullable: true
          allOf:
            - $ref: '#/components/schemas/cartConfiguration'
        customer:
          type: object
          description: Customer context
          nullable: true
          allOf:
            - $ref: '#/components/schemas/customerContext'
        totalAmount:
          type: number
          description: >-
            Total price of cart items after discount including Shipping and
            Shipping Discount
          format: double
          nullable: true
          example: 95
        subTotal:
          type: number
          description: Total price of cart items including Shipping without any discount
          format: double
          nullable: true
          example: 120
        totalDiscount:
          type: number
          description: Total discount applied to cart
          format: double
          nullable: true
          example: 25
        totalFees:
          type: number
          description: Total fees applied to cart
          format: double
          nullable: true
          example: 25
        currency:
          type: string
          description: Currency type
          example: USD
          default: USD
        attributes:
          description: Additional item options
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ProductAttributes'
        metadata:
          type: object
          additionalProperties: true
          description: Metadata for this cart
          example:
            approver: 620d8896058edb0009385311
        allPromosApplied:
          description: All promotions or coupons for items in this cart
          type: array
          items:
            $ref: '#/components/schemas/CartPromo'
        sharedUserIds:
          type: array
          nullable: true
          items:
            type: string
            description: UserIds of the users who share the cart
            example: '["*"] or [userId1,userId2]'
        fees:
          type: array
          description: >-
            Fees associated with a specific cart or an individual line item of a
            cart
          nullable: true
          items:
            $ref: '#/components/schemas/fees'
        suggestedProducts:
          type: array
          description: >-
            List of recommended products that are available for purchase along
            with the item added to the cart
          nullable: true
          items:
            $ref: '#/components/schemas/suggestedProduct'
        error:
          $ref: '#/components/schemas/CartError'
          description: Errors in this cart
    ClientError:
      description: Client error details
      type: object
      properties:
        code:
          description: Error code, meant for machine consumption
          type: string
          example: Bad Request
        message:
          description: Human-readable error description
          type: string
          example: User ID or Cart ID does not exist
    NotFoundError:
      description: Not-found error details
      type: object
      properties:
        code:
          description: Error code, meant for machine consumption
          type: string
          example: Cart or item not found
        message:
          description: Human-readable error description
          type: string
          example: If the issue persists please contact support@fabric.inc.
    ServerError:
      description: Server error details
      type: object
      properties:
        code:
          description: Error code, meant for machine consumption
          type: string
          example: Internal Server Error
        message:
          description: Human-readable error description
          type: string
          example: >-
            An internal error occurred. If the issue persists please contact
            support@fabric.inc.
    CartItemResponse:
      description: Cart item details
      required:
        - quantity
        - sku
        - items
        - isPickup
      type: object
      properties:
        cartItemId:
          type: string
          description: Cart item ID
          nullable: true
          example: 88cded0f-1439-40eb-a7a0-167e8bffdb3b
        itemId:
          type: string
          description: Item ID
          nullable: true
          example: '1000000001'
        title:
          type: string
          description: Item name
          nullable: true
          example: Varnet Garden Light Kit
        sku:
          type: string
          description: Item SKU
          example: 16B2GS8LD5FDS
        items:
          type: array
          description: Cart item details
          items:
            $ref: '#/components/schemas/CartItem'
        attributeTotalPrice:
          type: number
          description: Total price of attributes
          format: double
          nullable: true
          example: 10
        createdAt:
          type: string
          description: Item creation time
          format: date-time
          nullable: true
          example: '2022-02-18T15:12:40.974580'
        updatedAt:
          type: string
          description: Last time item was updated
          format: date-time
          nullable: true
          example: '2022-02-18T15:12:40.974580'
        quantity:
          type: integer
          description: Number of items in cart
          format: int32
          example: 1
        priceListId:
          type: string
          description: Item price list ID
          nullable: true
          example: '100000'
        lineItemId:
          minimum: 1
          type: integer
          description: Cart item sequence number (starts at 1)
          format: int32
          nullable: true
          example: 1
        isActive:
          description: true = Item is active<br />false = Item is not active
          type: boolean
          nullable: true
          example: true
        unitPrice:
          description: Individual item price
          allOf:
            - $ref: '#/components/schemas/CartPrice'
            - nullable: true
        totalPrice:
          description: Total price for the full quantity of this item
          allOf:
            - $ref: '#/components/schemas/CartPrice'
            - nullable: true
        attributes:
          description: Additional item options
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ProductAttributes'
        priceAdjustments:
          description: List of price adjustments for the line item
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/CartItemPriceAdjustment'
        isPickup:
          description: 'true: Item is set for pickup<br />false: Item is set for delivery'
          type: boolean
          example: true
        warehouseId:
          type: string
          description: Warehouse ID
          nullable: true
          example: XYZ-1234
        shipTo:
          description: Shipment details
          allOf:
            - $ref: '#/components/schemas/ShipObject'
            - nullable: true
        channel:
          description: Sales channel
          type: number
          example: 12
          nullable: true
        group:
          type: array
          nullable: true
          items:
            type: string
            description: Group or Category ID to which item belongs
            example: 61d38e117162b7dba69c3d6d
        fees:
          type: array
          description: >-
            Fees associated with a specific cart or an individual line item of a
            cart
          nullable: true
          items:
            $ref: '#/components/schemas/fees'
    CartState:
      type: string
      description: Cart status
      example: PENDING
      enum:
        - ACTIVE
        - PENDING
        - PENDING_APPROVAL
        - APPROVED
        - SUBMITTED
        - DELETED
        - REJECTED
    cartConfiguration:
      description: Cart configurations
      type: object
      properties:
        allowAnonymousUser:
          type: boolean
          default: true
          example: true
          description: >-
            true: Allows a cart to be guest cart. Shoppers can modify the cart
            without logging in.<br/> false: Allows cart modification only if the
            shopper is logged in.
        orderNumberSource:
          type: string
          default: CART_ID
          description: >-
            Specifies how an order number is created. The options are:<br/>1.
            `CART_ID`: Cart ID is used as the order number. In this case,
            fabric's Cart service uses the specified cart ID and assigns it as
            the order numebr.<br/>2. `EXTERNAL`: Merchant provides the order
            number during chekout.<br/>3. `FABRIC`: fabric generates the order
            number based on cart configuration details, and assigns it to the
            cart.<br/>4. `NONE`: Merchants have the flexibility to not provide
            an order number during the creation of an order draft. Instead, they
            can provide the order number when generating final orders based on
            the previously created order draft.
          enum:
            - CART_ID
            - EXTERNAL
            - FABRIC
            - NONE
        softReserve:
          type: boolean
          default: false
          example: true
          description: >-
            Specifies whether items in cart should be soft reserved. The options
            are:<br />`true`: Soft reservation is enabled; the items added to
            cart are reserved in the inventory.<br />`false`: Soft reservation
            is disabled; the items added to cart are not reserved in the
            inventory.
        addItemBySkuEnabled:
          type: boolean
          default: false
          example: true
          description: >-
            true: Item can be added to a cart by SKU; `itemId` is not mandatory
            to add an item to a cart.<br />false: `itemId` is mandatory to add
            an item to a cart
    customerContext:
      description: Customer context of a cart
      type: object
      properties:
        id:
          type: string
          description: Identifies a customer
          example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
          nullable: true
        type:
          type: string
          description: Customer type
          example: EMPLOYEE
          nullable: true
        attributes:
          type: object
          additionalProperties: true
          description: Customer attributes
          nullable: true
          example:
            goldMember:
              - false
        segments:
          type: object
          additionalProperties: true
          description: Customer segments
          nullable: true
          example:
            age: 23
            gender: female
    ProductAttributes:
      description: Additional item options
      required:
        - attributeId
        - name
        - price
        - type
      type: object
      properties:
        attributeId:
          type: string
          description: Attribute ID
          example: 60c2a358eb2ec30008ae70a1
        name:
          type: string
          description: Attribute name
          example: gift wrapping (small)
        description:
          type: string
          description: Attribute description
          nullable: true
          example: Gift wrapping for a small package
        mapping:
          type: string
          description: 'ITEM: Item-level attribute<br />ORDER: Cart-level attribute'
          nullable: true
          example: ITEM
        type:
          type: string
          description: Attribute type
          example: GIFT
        value:
          type: string
          description: Attribute applicability
          nullable: true
          example: 'true'
        price:
          type: number
          description: Attribute price
          format: float
          example: 10
        level:
          type: string
          description: Attribute level
          nullable: true
          example: order
        items:
          type: array
          nullable: true
          items:
            type: string
            description: Discount object
            example: '1000000001'
    CartPromo:
      description: Promotions or coupons for cart items
      required:
        - promoId
      type: object
      properties:
        promoId:
          type: string
          description: Unique promotion/coupon ID
          example: fza065tdr787
        promoCode:
          type: string
          description: General promotion/coupon code
          nullable: true
          example: coupon123
        value:
          type: string
          description: Promotion/coupon code discount value
          nullable: true
          example: '20'
        unit:
          type: string
          description: Promotion/coupon code discount unit
          nullable: true
          example: '%OFF'
    fees:
      type: object
      properties:
        feeId:
          type: string
          description: >-
            System-generated fee ID, in UUID format. While creating a cart or
            line item with fee, fabric generates this ID for the specified fee.
          example: 73bc09d0-874a-4c3d-84d0-df1670d03578
        name:
          type: string
          description: Attribute for which fee is applied
          nullable: true
          example: gift
        type:
          type: string
          description: Fee type
          nullable: true
          example: gift_wrap
        amount:
          type: number
          format: double
          description: Fee amount
          default: 0
          example: 10.5
        attributes:
          type: object
          additionalProperties: true
          description: Placeholder for additional information in `key:value` pairs
          nullable: true
          example: '{''from'': ''sam'', ''to'': ''david'' }'
    suggestedProduct:
      type: object
      properties:
        promotionId:
          type: string
          description: Promotion ID
          example: fef78121-bee3-4448-bf1c-d5b5461dbda2
        promotionTitle:
          type: string
          description: Promotion title
          example: Buy one get one free
        itemId:
          type: string
          description: Suggested item ID
          nullable: true
          example: 19
        itemIds:
          type: array
          description: IDs of the items for which this promotion is applicable
          nullable: true
          items:
            type: string
            description: Suggested item ID
            example: 19
        eligiblePriceLists:
          type: array
          description: Price lists to which the promotion is applicable
          nullable: true
          items:
            type: string
            description: A unique identifier of the priceList event. The price list ID.
            example: 1000000001
        quantity:
          minimum: 1
          type: integer
          description: Suggested quantity of items
          format: int32
          example: 1
        promotionQuantity:
          minimum: 1
          type: integer
          description: Maximum quantity of items allowed as part of the promotion
          format: int32
          example: 1
        free:
          type: boolean
          description: >-
            Indicates if the suggested item is a free item. The options are:<br
            />**true:** The suggested item is provided for free.<br />**false:**
            The suggested item is not offered for free.
          example: true
        discountType:
          type: string
          description: Discount type, such as %OFF, AMOUNT_OFF, and FIXED_PRICE
          example: AMOUNT_OFF
        amount:
          type: number
          description: Discount amount
          format: double
          example: 10
    CartError:
      description: Cart error object
      required:
        - inventory
        - price
        - promo
      type: object
      properties:
        price:
          description: Offers
          type: array
          items:
            $ref: '#/components/schemas/Offers'
        promo:
          description: Promo exception details
          type: array
          items:
            $ref: '#/components/schemas/ExceptionDetail'
        inventory:
          description: Inventory exception details
          type: array
          items:
            $ref: '#/components/schemas/ExceptionDetail'
    CartItem:
      description: Cart item details
      required:
        - quantity
        - sku
      type: object
      properties:
        items:
          type: array
          description: List of items in a cart
          allOf:
            - $ref: '#/components/schemas/CartItem'
            - nullable: true
        cartItemId:
          type: string
          description: Cart item ID
          nullable: true
          example: 12gved0f-7645-40cb-y7b0-167f8bggdb3z
        itemId:
          type: string
          description: Item ID
          nullable: true
          example: '1730902008'
        title:
          type: string
          description: Item name
          nullable: true
          example: Light Cover
        sku:
          type: string
          description: Item SKU
          example: 13B9CL6WT2SLW
        attributes:
          description: Additional item options
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ProductAttributes'
        createdAt:
          type: string
          description: Item creation time
          format: date-time
          nullable: true
          example: '2022-02-18T15:12:40.974580'
        updatedAt:
          type: string
          description: Last time item was updated
          format: date-time
          nullable: true
          example: '2022-02-18T15:12:40.974580'
        quantity:
          type: integer
          format: int32
          description: total quantity of the line item
          example: 15
        type:
          type: string
          description: >-
            ItemType(WEB_SHIP/WEB_PICKUP/WEB_SDD/INTERNATIONAL/POS/POS_SHIP/POS_PICKUP)
          nullable: true
          example: WEB_SHIP
        subType:
          type: string
          description: ItemSubType(For International type, provide subType as Border-free)
          nullable: true
          example: Border-free
        priceListId:
          type: string
          description: Item price list ID
          nullable: true
          example: '108674'
        lineItemId:
          minimum: 1
          type: integer
          description: Cart item sequence number (starts at 1)
          format: int32
          example: 1
        isActive:
          description: true = Item is active<br />false = Item is not active
          type: boolean
          nullable: false
          example: true
          default: true
        unitPrice:
          description: Individual item price
          allOf:
            - $ref: '#/components/schemas/CartPrice'
            - nullable: true
        totalPrice:
          description: Total price for the full quantity of this item
          allOf:
            - $ref: '#/components/schemas/CartPrice'
            - nullable: true
        attributeTotalPrice:
          type: number
          description: Total price of item attributes
          format: double
          nullable: true
          example: 10
        group:
          type: array
          nullable: true
          items:
            type: string
            description: Group or Category ID to which item belongs
            example: 61d38e117162b7dba69c3d6d
        extra:
          type: object
          additionalProperties: true
          description: Extra metadata passed by caller
          nullable: true
          example:
            productFamily: Laptop computers
        channel:
          description: Sales channel
          type: number
          example: 12
        isPickup:
          description: 'true: Item is set for pickup<br />false: Item is set for delivery'
          type: boolean
          example: true
        warehouseId:
          type: string
          description: Warehouse ID
          nullable: true
          example: XYZ-1234
        shipToId:
          type: string
          description: Shipping ID
          nullable: true
          example: fef78121-bee3-4448-bf1c-d5b5461dbda2
        shipTo:
          description: Shipment details
          allOf:
            - $ref: '#/components/schemas/ShipObject'
            - nullable: true
        fulfillment:
          description: Item details for order fulfillment
          allOf:
            - $ref: '#/components/schemas/Fulfillment'
            - nullable: false
    CartPrice:
      description: Price of all items in the cart
      required:
        - amount
        - currency
        - discount
      type: object
      properties:
        currency:
          type: string
          description: Currency type
          example: USD
          default: USD
        amount:
          type: number
          description: Price before discount
          format: double
          example: 100
        sale:
          type: number
          description: Price after discount
          format: double
          nullable: true
          example: 80
        discount:
          description: >-
            Offer discount details. Empty list {} should be passed in case of no
            discount.
          allOf:
            - $ref: '#/components/schemas/OfferDiscount'
    CartItemPriceAdjustment:
      description: Price adjustment details
      required:
        - id
        - reason
        - amount
      type: object
      properties:
        id:
          type: string
          description: >-
            Price adjustment ID; it identifies a single price adjustment object
            from the list of price adjustments.
          nullable: false
          example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
        reason:
          type: string
          description: Price adjustment reason
          nullable: false
          example: compensation for delay
        amount:
          type: number
          description: >-
            Amount by which the line item's total amount or the specified cart's
            total amount is adjusted
          format: double
          example: 20
          minimum: 0
        attributes:
          type: object
          additionalProperties: true
          description: Placeholder for additional information
          nullable: true
          example:
            goldMember:
              - false
    ShipObject:
      description: Cart shipping details
      type: object
      properties:
        shipToId:
          type: string
          description: Shipping details ID
          nullable: true
          example: fef78121-bee3-4448-bf1c-d5b5461dbda2
        cartId:
          description: Cart ID
          type: string
          nullable: true
          example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
        createdAt:
          type: string
          description: Shipping details creation time
          format: date-time
          nullable: true
          example: '2022-02-18T15:12:40.974580'
        updatedAt:
          type: string
          description: Last time shipping details were updated
          format: date-time
          nullable: true
          example: '2022-02-18T15:12:40.974580'
        shipMethod:
          description: Shipping method and details
          allOf:
            - $ref: '#/components/schemas/ShipMethod'
            - nullable: true
        address:
          description: Shipping address
          allOf:
            - $ref: '#/components/schemas/Address'
            - nullable: true
        shipToType:
          type: string
          description: Shipping type
          nullable: true
          example: SHIP_TO_ADDRESS
        taxCode:
          type: string
          description: Shipping tax code
          nullable: true
          example: FR1000
        isPickup:
          description: true = Item is set for pickup<br />false = Item is set for delivery
          type: boolean
          example: true
        altPickupPerson:
          description: Alternative pickup person
          allOf:
            - $ref: '#/components/schemas/PickupPerson'
            - nullable: true
        pickupPerson:
          description: Designated pickup person
          allOf:
            - $ref: '#/components/schemas/PickupPerson'
            - nullable: true
        warehouseId:
          type: string
          description: Warehouse ID
          nullable: true
          example: XYZ-1234
        storeId:
          type: string
          description: Store ID
          nullable: true
          example: ABC-123
    Offers:
      description: Offer details for cart error response
      required:
        - channel
        - price
      type: object
      properties:
        price:
          $ref: '#/components/schemas/Price'
          description: Item or discount price details
        kind:
          description: Offer type
          type: string
          nullable: true
          example: PROMOTION
        channel:
          description: Offer channel
          type: integer
          format: int32
          example: 12
        lineItemId:
          minimum: 1
          type: integer
          description: Cart item sequence number (starts at 1)
          format: int32
          example: 1
        discounts:
          description: List of discounts
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Discount'
    ExceptionDetail:
      description: Exception details
      required:
        - code
        - detail
      type: object
      properties:
        itemId:
          description: ID of item to which exception applies
          type: string
          nullable: true
          example: '1000000001'
        sku:
          type: string
          description: SKU of item to which exception applies
          nullable: true
          example: 16B2GS8LD5FDS
        code:
          $ref: '#/components/schemas/ErrorEnum'
          description: Error code
        detail:
          description: Error detail
          type: string
          example: Item is out of stock
        lineItemId:
          minimum: 1
          type: integer
          description: Cart item sequence number (starts at 1)
          format: int32
          example: 1
    Fulfillment:
      description: Item details for order fulfillment
      type: object
      properties:
        type:
          type: string
          description: Type of order fulfillment
          nullable: true
          example: WEB_SHIP
        networkCode:
          type: string
          description: Specifies the network of inventory for item
          nullable: true
          example: ShipToCNC
        channelId:
          type: string
          description: Specifies the channel of inventory for item
          nullable: true
          example: '12'
        inventoryType:
          type: string
          description: Specifies the type of inventory for item
          nullable: true
          example: availablePreorder
        inventory:
          type: object
          description: Inventory details of the cart item
          allOf:
            - $ref: '#/components/schemas/InventoryV2'
            - nullable: true
    OfferDiscount:
      description: Offer discount details
      required:
        - discounts
        - price
        - promosApplied
      type: object
      properties:
        price:
          type: number
          description: Discounted price of the item
          format: double
          minimum: 0
          example: 80
        discountAmount:
          type: number
          description: Discounted percentage amount of the item
          format: double
          example: 20
          minimum: 0
        promosApplied:
          type: array
          items:
            $ref: '#/components/schemas/CartPromo'
        discounts:
          description: List of discounts applied
          type: array
          items:
            $ref: '#/components/schemas/Discount'
    ShipMethod:
      description: Shipping method and details
      type: object
      properties:
        cost:
          description: Shipping cost
          allOf:
            - $ref: '#/components/schemas/ShipCost'
            - nullable: true
        shipMethodId:
          type: string
          description: Shipping method ID
          example: '1234'
        shipmentCarrier:
          type: string
          description: Shipment carrier
          nullable: true
          example: FedEx
        shipmentMethod:
          type: string
          description: Shipment method type
          nullable: true
          example: Next Day
    Address:
      description: Shipping address details
      type: object
      properties:
        attention:
          type: string
          description: Address recipient
          nullable: true
          example: Billing manager
        street1:
          type: string
          description: Address line 1
          nullable: true
          example: 100 NE 100th St.
        street2:
          type: string
          description: Address line 2
          nullable: true
          example: Suite 710
        street3:
          type: string
          description: Address line 3
          nullable: true
          example: Seventh floor
        street4:
          type: string
          description: Address line 4
          nullable: true
          example: 'Attention: Pat E. Kake'
        city:
          type: string
          description: City name
          nullable: true
          example: Seattle
        state:
          type: string
          description: State name
          nullable: true
          example: Washington
        country:
          type: string
          description: Country name
          nullable: true
          example: USA
        zipCode:
          type: string
          description: Zip code
          nullable: true
          example: '98125'
        email:
          type: string
          description: Receiver's email address
          nullable: true
          example: test@mail.com
        kind:
          type: string
          description: Address type
          nullable: true
          example: shipping
        name:
          description: Recipient's name
          allOf:
            - $ref: '#/components/schemas/Name'
            - nullable: true
        phone:
          description: address details for the shipping
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Phone'
            - nullable: true
    PickupPerson:
      description: >-
        Details of the designated or alternative person who will pick up the
        cart items
      type: object
      properties:
        name:
          description: Name of pickup person
          allOf:
            - $ref: '#/components/schemas/Name'
            - nullable: true
        phone:
          description: Number of pickup person
          allOf:
            - $ref: '#/components/schemas/Phone'
            - nullable: true
        email:
          type: string
          description: Receiver's email address
          nullable: true
          example: test@mail.com
    Price:
      description: Item price details
      required:
        - base
      type: object
      properties:
        sale:
          description: Item's sale price
          type: number
          format: double
          nullable: true
          example: 10
        cost:
          description: Item's full price
          type: number
          format: double
          nullable: true
          example: 20
        base:
          description: Item's base price
          type: number
          format: double
          example: 20
        currency:
          type: string
          description: Currency type
          example: USD
          nullable: true
        finalPrice:
          description: Price after the increments have been added over base
          type: number
          format: double
          nullable: true
          example: 10
        totalPrice:
          description: Price for all units of this item, including discounts
          type: number
          format: double
          nullable: true
          example: 20
        kind:
          description: Price type
          type: string
          nullable: true
          example: Promotion
        discount:
          description: Discount amount
          type: number
          format: double
          nullable: true
          example: 5.5
    Discount:
      description: Promotion or coupon applied to an item
      required:
        - promoId
      type: object
      properties:
        promoId:
          type: string
          description: Unique promotion/coupon ID
          example: fza065tdr787
        promoCode:
          type: string
          description: General promotion/coupon code
          nullable: true
          example: coupon123
        promoTitle:
          type: string
          description: Promotion name
          nullable: true
          example: New Year discount
        quantity:
          type: integer
          description: Quantity of this item in the cart
          format: int32
          nullable: true
          example: 1
        amount:
          type: number
          description: Total amount of discount applied
          format: double
          nullable: true
          example: 20
        value:
          type: number
          description: Promotion value
          format: double
          nullable: true
          example: 20
        groupId:
          type: string
          description: Promotion group ID
          nullable: true
          example: new-items
        promotionType:
          type: string
          description: Promotion type
          nullable: true
          example: PROMOTION
        priority:
          type: integer
          description: Promotion priority
          format: int32
          nullable: true
          example: 1
        stackable:
          type: boolean
          description: >-
            true = This promotion is stackable with other promotions<br />false
            = This promotion cannot be stacked with other promotions
          nullable: true
          example: false
        sku:
          type: string
          description: Item SKU to which promotion is applied
          nullable: true
          example: 16B2GS8LD5FDS
        itemId:
          type: string
          description: ID of item to which promotion is applied
          nullable: true
          example: '1000000001'
        itemKey:
          type: string
          description: Key of item to which promotion is applied
          nullable: true
          example: Key1234
        message:
          type: string
          description: Coupon code description
          nullable: true
          example: New Year Promotion
        unit:
          type: string
          description: Discount unit
          nullable: true
          example: '%OFF'
        proratedQuantity:
          type: integer
          description: >-
            The `proratedQuantity` is used in conjunction with `proratedAmount`
            to determine the discount portion allocated to the respective units
            of BuyGet promotions. This is applicable in partial return
            scenarios.
          format: int32
          nullable: true
          example: 1
        proratedAmount:
          type: number
          description: The prorated discount amount.
          format: double
          nullable: true
          example: 3.33
    ErrorEnum:
      description: List of error codes
      type: string
      enum:
        - UNKNOWN_ERROR
        - BAD_REQUEST
        - INVALID_TOKEN
        - ACCOUNT_ID_NOT_CONFIGURED
        - ACCOUNT_ID_ALREADY_EXISTS
        - DEPLOYMENT_IN_PROGRESS
        - INVALID_CART_ID
        - CART_NOT_FOUND
        - ITEM_NOT_FOUND
        - UNABLE_TO_GET_CART
        - UNABLE_TO_GET_INVENTORY
        - ITEM_OUT_OF_STOCK
        - UPDATE_CART_ERROR
        - DELETE_CART_ATTRIBUTE_ERROR
        - EMPTY_CART_ERROR
        - UNABLE_TO_GET_PRICE
        - UNABLE_TO_GET_PROMO
        - UNABLE_TO_GET_ITEM
        - PROMO_ALREADY_APPLIED_ERROR
        - CART_ALREADY_SHARED_ERROR
        - PROMO_NOT_FOUND_ERROR
        - PROMO_NOT_APPLICABLE_ERROR
        - USER_NOT_FOUND
        - ATTRIBUTE_NOT_FOUND
        - INCORRECT_ATTRIBUTE_LEVEL
        - INCORRECT_ATTRIBUTE_VALUE
        - ITEM_ATTRIBUTE_ALREADY_EXIST
        - LINE_ITEM_ID_NOT_FOUND
        - ITEM_ID_NOT_APPLICABLE
        - CART_STATUS_NOT_FOUND
        - CART_STATUS_CANNOT_BE_UPDATED
        - GUEST_CART_STATUS_CANNOT_BE_UPDATED
        - CART_STATUS_ALREADY_ASSIGNED
        - TOKEN_INTROSPECT_ERROR
        - MAX_CARTS_LIMIT_REACHED
        - UNAUTHORIZED_USER_ERROR
        - API_PERMISSION_UNDEFINED
        - INVALID_DATE_RANGE
        - INVALID_DATE_FORMAT
        - INVALID_SEARCH_ATTRIBUTE
        - ITEM_SERVICE_NOT_CONFIGURED
        - ATTRIBUTE_SERVICE_NOT_CONFIGURED
        - SHIP_ID_NOT_FOUND
        - NEGATIVE_SHIPPING_COST
        - REQUEST_DENIED
        - BAD_CONFIGURATION
        - SERVICE_NOT_ENABLED
    InventoryV2:
      description: Inventory details of the cart item
      type: object
      properties:
        virtualCounters:
          description: >-
            View quantity of inventory, based on pre configured value. For
            example, 'availableToPurchase' can be a custom attribute configured
            by merchants.
          type: object
          example:
            availableToPurchase: 10
        id:
          description: Inventory ID
          type: string
          example: 62272e917b12209e68751d94
        sku:
          description: SKU of  the item
          type: string
          example: SKU00025
        itemId:
          description: Item ID for which inventory is updated
          type: integer
          format: int64
          example: 4225678911
        locationNum:
          description: >-
            Location number is used to identify the warehouse or location where
            the inventory is kept
          type: integer
          format: int32
          example: 473746
        channelId:
          description: >-
            Sales channel ID. This field is used to identify where the business
            operations are being held.
          type: string
          example: 12
        vendorId:
          description: Vendor ID
          type: string
          example: vendor123
        leadTime:
          description: >-
            The amount of time between when a purchase order is placed to
            replenish products and when the order is received in the warehouse
          type: string
          example: 1234
        inventoryType:
          description: Type of inventory
          type: string
          example: Safety stock
        infiniteInventory:
          description: >-
            Infinite inventory flag.<br /> `true` indicates that the inventory
            can be consumed any number of times as per need<br />`false`
            indicates that the inventory cannot be used infinitely, and has a
            limit to be consumed
          type: boolean
          example: true
        counters:
          description: >-
            Inventory counter (also known as inventory position) configured by
            the merchant
          type: object
          example:
            on-hand: 10
        attributes:
          description: Custom inventory attributes configured by the merchant
          type: object
          example:
            buy online, pick up in-store (bopis): true
        backOrderDate:
          type: string
          description: Inventory restock date
          format: date-time
          example: '2022-08-08T00:00:00.000Z'
        preOrderDate:
          type: string
          description: First ship date of inventory
          format: date-time
          example: '2022-08-08T00:00:00.000Z'
        backOrderLimit:
          type: integer
          description: Maximum restock inventory quantity
          format: int32
          example: 100
        preOrderLimit:
          type: integer
          description: Maximum quanity of inventory for first-ship
          format: int32
          example: 100
        safetyStock:
          type: integer
          description: Reserved inventory quantity at the location
          format: int32
          example: 10
        lowStock:
          type: integer
          description: Inventory quantity to mark as low stock at the location
          format: int32
          example: 10
        segment:
          type: string
          description: Inventory segment
          example: Clothing
        region:
          type: string
          description: Region where inventory is managed
          example: US
    ShipCost:
      description: Shipping cost and details
      required:
        - amount
      type: object
      properties:
        amount:
          type: number
          description: Shipping cost
          format: double
          example: 10
        currency:
          type: string
          description: Currency type
          example: USD
          nullable: true
        discount:
          description: Shipping discount
          type: number
          format: double
          nullable: true
          example: 5
    Name:
      description: Person's name
      type: object
      properties:
        first:
          type: string
          description: Individual's first name
          nullable: true
          example: Pat
        middle:
          type: string
          description: Individual's middle name or initial
          nullable: true
          example: E
        last:
          type: string
          description: Individual's last name
          nullable: true
          example: Kake
    Phone:
      description: Phone number details
      required:
        - number
      type: object
      properties:
        number:
          type: string
          description: Phone number
          example: 123-456-7899
        kind:
          type: string
          description: Phone number type
          nullable: true
          example: MOBILE
          enum:
            - MOBILE
            - HOME
            - BUSINESS

````